CGGET(1)

NAME

cgget - print parameter(s) of given group(s)

SYNOPSIS
cgget [-n] [-v] [-m] [-b] [-r <name>] [-g <controller>] [-a] <path> ...
cgget [-n] [-v] [-m] [-b] [-r <name>] -g <controller>:<path> ...

DESCRIPTION
Prints the parameter(s) of input cgroup(s). If neither controller nor variable are specified, the values of all possible variables are displayed.

<path>
    is the name of the cgroup which should be read. This parameter can be used multiple times.

-a, --all
    print the variables for all controllers which consist in the given cgroup

-b  ignores the default systemd delegated hierarchy path and constructs the path of the control groups relative to the cgroup root hierarchy.

-c  displays the controllers and their versions. This option can be used along with -m option.

-g <controller>
    defines controllers whose values should be displayed. This option can be used multiple times.

-g <controller>:<path>
    defines control groups whose values should be displayed. This option can be used multiple times.

-h, --help
    display help and exit

-m  displays the current control groups setup mode. The control groups can be set up in one of three modes, legacy (cgroup v1 only), unified (cgroup v2 only) or hybrid (cgroup v1/v2).

-n  do not print headers, i.e. names of groups.

-r, --variable <name>
    defines parameter to display. This option can be used multiple times.

-v, --values-only
    print only values, not parameter names.

EXAMPLES
$ cgget -r cpuset.cpus -r cpuset.mems first second
first:
cpuset.cpus=0-1
cpuset.mems=0

second:
cpuset.cpus=0
cpuset.mems=0

$ cgget -n -r cpuset.cpus -r cpuset.mems first second
cpuset.cpus=0-1
cpuset.mems=0
cpuset.cpus=0
cpuset.mems=0

$ cgget -nv -r cpuset.cpus -r cpuset.mems first second
0-1
0
0
0

$ cgget -n -g cpu /
cpu.rt_period_us=1000000
cpu.rt_runtime_us=950000
cpu.shares=1024

$ cgget -m
Unified Mode (Cgroup v2 only).

ENVIRONMENT VARIABLES

CGROUP_LOGLEVEL
    controls verbosity of the tool. Allowed values are DEBUG, INFO, WARNING or ERROR.

SEE ALSO
cgrules.conf (1), cgcreate (1), cgget (1)